Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class FilterDef

    java.lang.Object
      org.apache.catalina.deploy.FilterDef

All Implemented Interfaces:
  Serializable

    public class FilterDef

extends Object
implements Serializable

Representation of a filter definition for a web application, as represented in a `<filter>` element in the deployment descriptor.

Version:
  $Id: FilterDef.java 1429970 2013-01-07 19:10:28Z markt $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`FilterDef()`

Method Summary
`void` `addInitParameter(String name, String value)` Add an initialization parameter to the set of parameters associated with this filter.
`String` `getAsyncSupported()`
`String` `getDescription()`
`String` `getDisplayName()`
`Filter` `getFilter()`
`String` `getFilterClass()`
`String` `getFilterName()`
`String` `getLargeIcon()`
`Map<String,String>` `getParameterMap()`
`String` `getSmallIcon()`
`void` `setAsyncSupported(String asyncSupported)`
`void` `setDescription(String description)`
`void` `setDisplayName(String displayName)`
`void` `setFilter(Filter filter)`
`void` `setFilterClass(String filterClass)`
`void` `setFilterName(String filterName)`
`void` `setLargeIcon(String largeIcon)`
`void` `setSmallIcon(String smallIcon)`
`String` `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterDef

    public FilterDef()

Method Detail

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getDisplayName

    public String getDisplayName()

### setDisplayName

    public void setDisplayName(String displayName)

### getFilter

    public Filter getFilter()

### setFilter

    public void setFilter(Filter filter)

### getFilterClass

    public String getFilterClass()

### setFilterClass

    public void setFilterClass(String filterClass)

### getFilterName

    public String getFilterName()

### setFilterName

    public void setFilterName(String filterName)

### getLargeIcon

    public String getLargeIcon()

### setLargeIcon

    public void setLargeIcon(String largeIcon)

### getParameterMap

    public Map<String,String> getParameterMap()

### getSmallIcon

    public String getSmallIcon()

### setSmallIcon

    public void setSmallIcon(String smallIcon)

### getAsyncSupported

    public String getAsyncSupported()

### setAsyncSupported

    public void setAsyncSupported(String asyncSupported)

### addInitParameter

    public void addInitParameter(String name,
                                 String value)

  Add an initialization parameter to the set of parameters associated with this filter.

  Parameters:
    `name` - The initialization parameter name
    `value` - The initialization parameter value

### toString

    public String toString()

  Render a String representation of this object.

  Overrides:
    `toString` in class `Object`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.